vpcd(8)

NAME
vpcd - virtual power control daemon

SYNOPSIS
vpcd [--port PORT]

DESCRIPTION
vpcd is a test program for PowerMan which emulates a remote power control device. It can be run interactively by the powerman daemon, or it can listen on a port of your choosing.

OPTIONS

-p, --port PORT
    Instructs vpcd to listen for connections on the specified port instead of using stdin/stdout. Only one connection will be accepted.

INTERACTIVE COMMANDS
The following commands are available at the vpcd> prompt:

login
    The login command must br run before any of the other commands will work. No username or password is required.

logoff
    Return vpcd to the initial state.

stat PLUG|*
    Show the power status of PLUG. If PLUG is ``*'', perform this action on all plugs.

beacon PLUG|*
    Show the beacon status of PLUG. If PLUG is ``*'', perform this action on all plugs.

temp PLUG|*
    Show the temperature of the node attached to PLUG. If PLUG is ``*'', perform this action on all plugs.

spew COUNT
    Print COUNT 80-char lines. This is the basis of a buffer handling test.

on PLUG|*
    Turn on PLUG. If PLUG is ``*'', perform this action on all plugs.

off PLUG|*
    Turn off PLUG. If PLUG is ``*'', perform this action on all plugs.

flash PLUG|*
    Light the beacon on PLUG. If PLUG is ``*'', perform this action on all plugs.

unflash PLUG|*
    Unlight the beacon on PLUG. If PLUG is ``*'', perform this action on all plugs.

reset PLUG|*
    Reset the node attached to PLUG. If PLUG is ``*'', perform this action on all plugs.

FILES
/usr/sbin/vpcd

ORIGIN
PowerMan was originally developed by Andrew Uselton on LLNL's Linux clusters. This software is open source and distributed under the terms of the GNU GPL.

SEE ALSO
powerman(1), powermand(8), httppower(8), plmpower(8), vpcd(8), powerman.conf(5), powerman.dev(5), powerman-devices(7).

http://sourceforge.net/projects/powerman